com.holonplatform.vaadin.flow.components

## Interface BoundComponentGroup<P,C extends HasComponent>

- Type Parameters:
    `P` - Property type
    `C` - Group element type
  All Superinterfaces:
    ComponentGroup<C>, HasPropertySet<P>, Serializable
  All Known Subinterfaces:
    ItemListing.EditorComponentGroup<P,T>, PropertyInputForm, PropertyInputGroup, PropertyViewForm, PropertyViewGroup

      public interface BoundComponentGroup<P,C extends HasComponent>
      extends ComponentGroup<C>, HasPropertySet<P>

  A `ComponentGroup` for which each component is bound to a property, which identifies the component itself within the group.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BoundComponentGroup.Binding<P,C extends HasComponent>` A binding between a property and a group element.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream<BoundComponentGroup.Binding<P,C>>` | `getBindings()` Get the available group element bindings.
    `Optional<C>` | `getElement(P property)` Get the group element bound to given `property`, if available.
    `default C` | `requireElement(P property)` Get the group element bound to given `property`, throwing a `IllegalArgumentException` if not available.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ComponentGroup

      `getComponents, getElements`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasPropertySet

      `getProperties, hasProperty`

- - ### Method Detail

    - #### getBindings

          Stream<BoundComponentGroup.Binding<P,C>> getBindings()

      Get the available group element bindings. A `BoundComponentGroup.Binding` represents the group element and the property to which is bound.
      Returns:
        A stream of the group bindings

    - #### getElement

          Optional<C> getElement(P property)

      Get the group element bound to given `property`, if available.
      Parameters:
        `property` - The property which identifies the element within the group (not null)
      Returns:
        Optional group element bound to given `property`

    - #### requireElement

          default C requireElement(P property)

      Get the group element bound to given `property`, throwing a `IllegalArgumentException` if not available.
      Parameters:
        `property` - The property which identifies the element within the group (not null)
      Returns:
        The roup element bound to given `property`
      Throws:
        `IllegalArgumentException` - If no element of the group is bound to given `property`

Copyright © 2020 The Holon Platform. All rights reserved.